Bug 887804 - a comprehensive cinder.conf file should be included
a comprehensive cinder.conf file should be included
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder (Show other bugs)
1.0 (Essex)
Unspecified Unspecified
high Severity medium
: snapshot2
: 2.1
Assigned To: Eric Harney
Attila Fazekas
: Triaged
Depends On: 903719
  Show dependency treegraph
Reported: 2012-12-17 06:51 EST by Nikola Dipanov
Modified: 2016-04-26 12:16 EDT (History)
3 users (show)

See Also:
Fixed In Version: openstack-cinder-2012.2.1-6.el6ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 887334
Last Closed: 2013-02-14 13:23:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nikola Dipanov 2012-12-17 06:51:12 EST
+++ This bug was initially created as a clone of Bug #887334 +++

Description of problem:

A nova.conf file with a comprehensive set of configuration options should be shipped various nova services.  Here is a good example to work from:


--- Additional comment from Dan Yocum on 2012-12-14 12:22:34 EST ---

This one looks like it's more up-to-date:

Comment 4 Mark McLoughlin 2013-01-16 08:09:36 EST
Ok, cinder is very similar to nova so copying the conclusions from bug #887334:

  1) Take our current cinder.conf with our distribution specific defaults and
     put that in /usr/share/cinder/cinder-dist.conf

     The systemd units and init scripts will need to be updated to do:

       --config-file=/usr/share/cinder/cinder-dist.conf --config-file=/etc/cinder/cinder.conf

     This means that users can start with an empty /etc/cinder/cinder.conf
     file and still be using the distribution defaults

     This file should not be marked as %config(noreplace) since it is not
     intended to be user-editable

  2) Take upstream cinder.conf.sample and install it in /etc/cinder/cinder.conf

     This means the default user-editable config file contains nothing but
     comments explaining what options are available

  3) The sample cinder.conf file should use the new format that nova has
     switched to in Grizzly: https://review.openstack.org/19292

  4) Our "vanilla" packages (e.g. in Fedora or EPEL) should just use the stock
     upstream cinder.conf.sample with the exception that we should update the
     default values in the sample file to reflect our distribution defaults

  5) In the productized packages, we should strip the sample cinder.conf to
     only include options we recommend using and perhaps improve the 

  6) In our default /etc/cinder/cinder.conf we should also document the 
     [keystone_authtoken] section, but the keystone_authtoken defaults should
     live in /usr/share/cinder/cinder-dist.conf
Comment 5 Mark McLoughlin 2013-01-17 17:26:39 EST
From apevec - "One thing to verify is Nova selinux policy: /etc/nova/nova.conf is etc_t while files under /usr/share/nova/ get usr_t"
Comment 9 errata-xmlrpc 2013-02-14 13:23:30 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.